Core - Bug # 43139

Status: Resolved Priority: Should have
Author: Oliver Hader Category: Backend API
Created: 2012-11-20 Assigned To: Oliver Hader
Updated: 2012-11-20 Due date:

TYPO3 Version: 6.0

PHP Version: 53

Complexity:

Is Regression:

Sprint Focus:

Subject: Activating NULL value field does not work with blank string

Description

Activating a field that supports NULL values and just using a blank string ("") does not work.
The problem is a strcmp() call that returns a false-positive on comparing NULL to blank strings.

Related issues:

related to Core - Feature # 41773: Add possibility to store NULL values

Resolved

2012-10-09

Associated revisions

Revision 125bdf9e - 2012-11-20 14:28 - Oliver Hader

[BUGFIX] Activating NULL value field does not work with blank string

Activating a field that supports NULL values and just using a
blank string ("") does not work. The problem is a strcmp() call
that returns a false-positive on comparing NULL to blank strings

Change-Id: 159417f5tf5cd814db15e2b6b725f1778d098014f6
Fixes: #43139

Releases: 6.0

Reviewed-on: http://review.typo3.org/16599

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History

#1 - 2012-11-20 12:21 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/16599

#2 - 2012-11-20 14:27 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/16599
#3 - 2012-11-20 14:30 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:125bdf9e97e1a958b66dc93ae40a5760079cdf24.
